How to install OOo for headless use?

Issues with installing under all Linux Distributions

How to install OOo for headless use?

Postby clueless_ » Mon May 14, 2012 4:24 pm

Hello Forumers,

I wish to use ooo in headless mode for file conversion with this script http://re.be/oooserver/index.xhtml. I have a 32bit Centos5.7 server and I tried installing the headless package. As you can see below, it needs 200 Megs of dependencies most of which are obviously superfluous, like alsa-lib (first in the list). This can not be right. I remember installing ooo2.4 headless on a debian and it was definitely more light-weight. What am I doing wrong? Obviously, I would love to use yum for easy updates.
Please advise.

Code: Select all   Expand viewCollapse view
root@server# yum install openoffice.org-headless
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: ftp.freepark.org
* extras: ftp.freepark.org
* updates: ftp.freepark.org
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package openoffice.org-headless.i386 1:3.1.1-19.10.el5_8.1 set to be updated
--> Processing Dependency: openoffice.org-ure = 1:3.1.1-19.10.el5_8.1 for package: openoffice.org-headless
--> Processing Dependency: openoffice.org-core = 1:3.1.1-19.10.el5_8.1 for package: openoffice.org-headless
--> Processing Dependency: libuno_sal.so.3(UDK_3.1) for package: openoffice.org-headless
--> Processing Dependency: libutlli.so for package: openoffice.org-headless
--> Processing Dependency: libpspli.so(LIBPSPRINT_1_0) for package: openoffice.org-headless
--> Processing Dependency: libuno_sal.so.3(UDK_3_0_0) for package: openoffice.org-headless
--> Processing Dependency: libuno_cppu.so.3 for package: openoffice.org-headless
--> Processing Dependency: libstlport_gcc.so for package: openoffice.org-headless
--> Processing Dependency: libucbhelper4gcc3.so for package: openoffice.org-headless
--> Processing Dependency: libsotli.so for package: openoffice.org-headless
--> Processing Dependency: libpspli.so for package: openoffice.org-headless
--> Processing Dependency: libcomphelp4gcc3.so for package: openoffice.org-headless
--> Processing Dependency: libi18npaperli.so for package: openoffice.org-headless
--> Processing Dependency: libtlli.so for package: openoffice.org-headless
--> Processing Dependency: libbasegfxli.so for package: openoffice.org-headless
--> Processing Dependency: libuno_sal.so.3 for package: openoffice.org-headless
--> Processing Dependency: libvos3gcc3.so for package: openoffice.org-headless
--> Processing Dependency: libuno_cppuhelpergcc3.so.3 for package: openoffice.org-headless
--> Processing Dependency: libvclli.so for package: openoffice.org-headless
--> Running transaction check
---> Package openoffice.org-core.i386 1:3.1.1-19.10.el5_8.1 set to be updated
--> Processing Dependency: java >= 1.4.2 for package: openoffice.org-core
--> Processing Dependency: hsqldb >= 1.8.0.8 for package: openoffice.org-core
--> Processing Dependency: xalan-j2 for package: openoffice.org-core
--> Processing Dependency: libicuuc.so.36 for package: openoffice.org-core
--> Processing Dependency: libxslt.so.1 for package: openoffice.org-core
--> Processing Dependency: libicui18n.so.36 for package: openoffice.org-core
--> Processing Dependency: liberation-fonts for package: openoffice.org-core
--> Processing Dependency: libicule.so.36 for package: openoffice.org-core
--> Processing Dependency: libgstinterfaces-0.10.so.0 for package: openoffice.org-core
--> Processing Dependency: bsh for package: openoffice.org-core
--> Processing Dependency: lucene for package: openoffice.org-core
--> Processing Dependency: libgnomevfs-2.so.0 for package: openoffice.org-core
--> Processing Dependency: libjawt.so for package: openoffice.org-core
--> Processing Dependency: libXt.so.6 for package: openoffice.org-core
--> Processing Dependency: libicudata.so.36 for package: openoffice.org-core
--> Processing Dependency: libgstreamer-0.10.so.0 for package: openoffice.org-core
--> Processing Dependency: xerces-j2 for package: openoffice.org-core
---> Package openoffice.org-ure.i386 1:3.1.1-19.10.el5_8.1 set to be updated
--> Running transaction check
---> Package bsh.i386 0:1.3.0-9jpp.1 set to be updated
--> Processing Dependency: jpackage-utils >= 1.6 for package: bsh
--> Processing Dependency: java-gcj-compat for package: bsh
--> Processing Dependency: bsf for package: bsh
--> Processing Dependency: libgcj_bc.so.1 for package: bsh
---> Package gnome-vfs2.i386 0:2.16.2-8.el5 set to be updated
--> Processing Dependency: gnome-mount >= 0.4 for package: gnome-vfs2
--> Processing Dependency: gnome-mime-data >= 2.0.0-11 for package: gnome-vfs2
--> Processing Dependency: libavahi-glib.so.1 for package: gnome-vfs2
--> Processing Dependency: shared-mime-info for package: gnome-vfs2
--> Processing Dependency: libavahi-client.so.3 for package: gnome-vfs2
--> Processing Dependency: libavahi-common.so.3 for package: gnome-vfs2
---> Package gstreamer.i386 0:0.10.20-3.el5 set to be updated
--> Processing Dependency: gstreamer-tools >= 0.10.20 for package: gstreamer
--> Processing Dependency: pkgconfig for package: gstreamer
---> Package gstreamer-plugins-base.i386 0:0.10.20-3.0.1.el5_3 set to be updated
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4) for package: gstreamer-plugins-base
--> Processing Dependency: libtheora.so.0 for package: gstreamer-plugins-base
--> Processing Dependency: liboil-0.3.so.0 for package: gstreamer-plugins-base
--> Processing Dependency: libcdda_paranoia.so.0 for package: gstreamer-plugins-base
--> Processing Dependency: libXv.so.1 for package: gstreamer-plugins-base
--> Processing Dependency: libasound.so.2(ALSA_0.9) for package: gstreamer-plugins-base
--> Processing Dependency: libtheora.so.0(libtheora.so.1.0) for package: gstreamer-plugins-base
--> Processing Dependency: libcdda_interface.so.0 for package: gstreamer-plugins-base
--> Processing Dependency: libvorbisenc.so.2 for package: gstreamer-plugins-base
--> Processing Dependency: libogg.so.0 for package: gstreamer-plugins-base
--> Processing Dependency: libasound.so.2 for package: gstreamer-plugins-base
--> Processing Dependency: libvorbis.so.0 for package: gstreamer-plugins-base
---> Package hsqldb.i386 1:1.8.0.9-1jpp.2 set to be updated
--> Processing Dependency: servletapi5 for package: hsqldb
--> Processing Dependency: servletapi5 for package: hsqldb
---> Package java-1.6.0-openjdk.i386 1:1.6.0.0-1.25.1.10.6.el5_8 set to be updated
--> Processing Dependency: libgif.so.4 for package: java-1.6.0-openjdk
--> Processing Dependency: libXtst.so.6 for package: java-1.6.0-openjdk
--> Processing Dependency: tzdata-java for package: java-1.6.0-openjdk
---> Package libXt.i386 0:1.0.2-3.2.el5 set to be updated
---> Package liberation-fonts.noarch 0:1.0-1.el5 set to be updated
---> Package libicu.i386 0:3.6-5.16.1 set to be updated
---> Package libxslt.i386 0:1.1.17-2.el5_2.2 set to be updated
---> Package lucene.i386 0:1.4.3-1jpp.16 set to be updated
---> Package xalan-j2.i386 0:2.7.0-6jpp.1 set to be updated
---> Package xerces-j2.i386 0:2.7.1-7jpp.2.el5_4.2 set to be updated
--> Processing Dependency: xml-commons-apis >= 1.3 for package: xerces-j2
--> Processing Dependency: xml-commons-resolver >= 1.1 for package: xerces-j2
--> Running transaction check
---> Package alsa-lib.i386 0:1.0.17-1.el5 set to be updated
---> Package avahi.i386 0:0.6.16-10.el5_6 set to be updated
---> Package avahi-glib.i386 0:0.6.16-10.el5_6 set to be updated
---> Package bsf.i386 0:2.3.0-11jpp.1 set to be updated
--> Processing Dependency: tomcat5-jsp-2.0-api for package: bsf
---> Package cdparanoia-libs.i386 0:alpha9.8-28 set to be updated
---> Package giflib.i386 0:4.1.3-7.3.3.el5 set to be updated
---> Package gnome-mime-data.i386 0:2.4.2-3.1 set to be updated
---> Package gnome-mount.i386 0:0.5-3.el5 set to be updated
--> Processing Dependency: libbonobo-2.so.0 for package: gnome-mount
--> Processing Dependency: libbonobo-activation.so.4 for package: gnome-mount
--> Processing Dependency: libgnomecanvas-2.so.0 for package: gnome-mount
--> Processing Dependency: libbonoboui-2.so.0 for package: gnome-mount
--> Processing Dependency: libgnome-2.so.0 for package: gnome-mount
--> Processing Dependency: libgnome-keyring.so.0 for package: gnome-mount
--> Processing Dependency: libart_lgpl_2.so.2 for package: gnome-mount
--> Processing Dependency: libgnomeui-2.so.0 for package: gnome-mount
---> Package gstreamer-tools.i386 0:0.10.20-3.el5 set to be updated
---> Package java-1.4.2-gcj-compat.i386 0:1.4.2.0-40jpp.115 set to be updated
--> Processing Dependency: gjdoc for package: java-1.4.2-gcj-compat
---> Package jpackage-utils.noarch 0:1.7.3-1jpp.2.el5 set to be updated
---> Package libXtst.i386 0:1.0.1-3.1 set to be updated
---> Package libXv.i386 0:1.0.1-4.1 set to be updated
---> Package libgcj.i386 0:4.1.2-52.el5_8.1 set to be updated
---> Package libogg.i386 2:1.1.3-3.el5 set to be updated
---> Package liboil.i386 0:0.3.8-2.1 set to be updated
---> Package libtheora.i386 0:1.0alpha7-1 set to be updated
---> Package libvorbis.i386 1:1.1.2-3.el5_7.6 set to be updated
---> Package pkgconfig.i386 1:0.21-2.el5 set to be updated
---> Package shared-mime-info.i386 0:0.19-5.el5 set to be updated
---> Package tomcat5-servlet-2.4-api.i386 0:5.5.23-0jpp.31.el5_8 set to be updated
---> Package tzdata-java.i386 0:2012b-3.el5 set to be updated
---> Package xml-commons-apis.i386 0:1.3.02-0.b2.7jpp.10 set to be updated
--> Processing Dependency: xml-commons = 1.3.02-0.b2.7jpp.10 for package: xml-commons-apis
---> Package xml-commons-resolver.i386 0:1.1-1jpp.12 set to be updated
--> Running transaction check
---> Package gjdoc.i386 0:0.7.7-12.el5 set to be updated
--> Processing Dependency: antlr for package: gjdoc
---> Package gnome-keyring.i386 0:0.6.0-1.fc6 set to be updated
---> Package libart_lgpl.i386 0:2.3.17-4 set to be updated
---> Package libbonobo.i386 0:2.16.0-1.1.el5_5.1 set to be updated
---> Package libbonoboui.i386 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: libglade2 >= 2.0.0 for package: libbonoboui
--> Processing Dependency: libglade-2.0.so.0 for package: libbonoboui
---> Package libgnome.i386 0:2.16.0-6.el5 set to be updated
--> Processing Dependency: libaudiofile.so.0 for package: libgnome
--> Processing Dependency: libesd.so.0 for package: libgnome
---> Package libgnomecanvas.i386 0:2.14.0-4.1 set to be updated
---> Package libgnomeui.i386 0:2.16.0-5.el5 set to be updated
---> Package tomcat5-jsp-2.0-api.i386 0:5.5.23-0jpp.31.el5_8 set to be updated
---> Package xml-commons.i386 0:1.3.02-0.b2.7jpp.10 set to be updated
--> Running transaction check
---> Package antlr.i386 0:2.7.6-4jpp.2 set to be updated
---> Package audiofile.i386 1:0.2.6-5 set to be updated
---> Package esound.i386 1:0.2.36-4 set to be updated
---> Package libglade2.i386 0:2.6.0-2 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================
Package                     Arch       Version                            Repository   Size
=============================================================================================
Installing:
openoffice.org-headless     i386       1:3.1.1-19.10.el5_8.1              updates     476 k
Installing for dependencies:
alsa-lib                    i386       1.0.17-1.el5                       base        412 k
antlr                       i386       2.7.6-4jpp.2                       base        978 k
audiofile                   i386       1:0.2.6-5                          base        107 k
avahi                       i386       0.6.16-10.el5_6                    base        251 k
avahi-glib                  i386       0.6.16-10.el5_6                    base         15 k
bsf                         i386       2.3.0-11jpp.1                      base        334 k
bsh                         i386       1.3.0-9jpp.1                       base        555 k
cdparanoia-libs             i386       alpha9.8-28                        base         50 k
esound                      i386       1:0.2.36-4                         base        130 k
giflib                      i386       4.1.3-7.3.3.el5                    base         39 k
gjdoc                       i386       0.7.7-12.el5                       base        793 k
gnome-keyring               i386       0.6.0-1.fc6                        base        170 k
gnome-mime-data             i386       2.4.2-3.1                          base        690 k
gnome-mount                 i386       0.5-3.el5                          base         70 k
gnome-vfs2                  i386       2.16.2-8.el5                       base        1.2 M
gstreamer                   i386       0.10.20-3.el5                      base        733 k
gstreamer-plugins-base      i386       0.10.20-3.0.1.el5_3                base        952 k
gstreamer-tools             i386       0.10.20-3.el5                      base         18 k
hsqldb                      i386       1:1.8.0.9-1jpp.2                   base        1.8 M
java-1.4.2-gcj-compat       i386       1.4.2.0-40jpp.115                  base         29 k
java-1.6.0-openjdk          i386       1:1.6.0.0-1.25.1.10.6.el5_8        updates      37 M
jpackage-utils              noarch     1.7.3-1jpp.2.el5                   base         61 k
libXt                       i386       1.0.2-3.2.el5                      base        173 k
libXtst                     i386       1.0.1-3.1                          base         15 k
libXv                       i386       1.0.1-4.1                          base         14 k
libart_lgpl                 i386       2.3.17-4                           base         76 k
libbonobo                   i386       2.16.0-1.1.el5_5.1                 base        502 k
libbonoboui                 i386       2.16.0-1.fc6                       base        389 k
liberation-fonts            noarch     1.0-1.el5                          base        1.1 M
libgcj                      i386       4.1.2-52.el5_8.1                   updates      16 M
libglade2                   i386       2.6.0-2                            base         96 k
libgnome                    i386       2.16.0-6.el5                       base        858 k
libgnomecanvas              i386       2.14.0-4.1                         base        222 k
libgnomeui                  i386       2.16.0-5.el5                       base        978 k
libicu                      i386       3.6-5.16.1                         base        5.3 M
libogg                      i386       2:1.1.3-3.el5                      base         19 k
liboil                      i386       0.3.8-2.1                          base        133 k
libtheora                   i386       1.0alpha7-1                        base        708 k
libvorbis                   i386       1:1.1.2-3.el5_7.6                  updates     192 k
libxslt                     i386       1.1.17-2.el5_2.2                   base        485 k
lucene                      i386       1.4.3-1jpp.16                      base        682 k
openoffice.org-core         i386       1:3.1.1-19.10.el5_8.1              updates     108 M
openoffice.org-ure          i386       1:3.1.1-19.10.el5_8.1              updates     3.2 M
pkgconfig                   i386       1:0.21-2.el5                       base         59 k
shared-mime-info            i386       0.19-5.el5                         base        148 k
tomcat5-jsp-2.0-api         i386       5.5.23-0jpp.31.el5_8               updates      97 k
tomcat5-servlet-2.4-api     i386       5.5.23-0jpp.31.el5_8               updates     154 k
tzdata-java                 i386       2012b-3.el5                        updates     181 k
xalan-j2                    i386       2.7.0-6jpp.1                       base        4.1 M
xerces-j2                   i386       2.7.1-7jpp.2.el5_4.2               base        2.7 M
xml-commons                 i386       1.3.02-0.b2.7jpp.10                base         19 k
xml-commons-apis            i386       1.3.02-0.b2.7jpp.10                base        334 k
xml-commons-resolver        i386       1.1-1jpp.12                        base        148 k

Transaction Summary
=============================================================================================
Install      54 Package(s)
Upgrade       0 Package(s)

Total download size: 194 M
OpenOffice3.3 on CentOS-32bit
clueless_
 
Posts: 7
Joined: Mon May 14, 2012 3:50 pm

Re: How to install ooo for headless use?

Postby Robert Tucker » Mon May 14, 2012 11:39 pm

Why not start off with:

Code: Select all   Expand viewCollapse view
root@server# yum update
LibreOffice 6.x.x on Fedora 31 and Ubuntu 19.10 (Dual Boot)
User avatar
Robert Tucker
Volunteer
 
Posts: 1247
Joined: Mon Oct 08, 2007 1:34 am
Location: Manchester UK

Re: How to install ooo for headless use?

Postby clueless_ » Tue May 15, 2012 12:11 am

Ok, done that. It still wants to install alsa-lib et co. Any other suggestions?
OpenOffice3.3 on CentOS-32bit
clueless_
 
Posts: 7
Joined: Mon May 14, 2012 3:50 pm

Re: How to install OOo for headless use?

Postby Robert Tucker » Tue May 15, 2012 1:23 pm

Try Googling: openoffice+gstreamer
LibreOffice 6.x.x on Fedora 31 and Ubuntu 19.10 (Dual Boot)
User avatar
Robert Tucker
Volunteer
 
Posts: 1247
Joined: Mon Oct 08, 2007 1:34 am
Location: Manchester UK

Re: How to install OOo for headless use?

Postby clueless_ » Tue May 15, 2012 1:30 pm

say what?
OpenOffice3.3 on CentOS-32bit
clueless_
 
Posts: 7
Joined: Mon May 14, 2012 3:50 pm

Re: How to install OOo for headless use?

Postby Robert Tucker » Tue May 15, 2012 1:41 pm

You need full a install of OpenOffice for OpenOffice Headless. OpenOffice has gstreamer as a dependency and gstreamer has alsa sound as a dependency (or at least parts of it).
LibreOffice 6.x.x on Fedora 31 and Ubuntu 19.10 (Dual Boot)
User avatar
Robert Tucker
Volunteer
 
Posts: 1247
Joined: Mon Oct 08, 2007 1:34 am
Location: Manchester UK

Re: How to install OOo for headless use?

Postby clueless_ » Tue May 15, 2012 1:57 pm

Pffffff.

I remember when ppl thought emacs was bloatware.

Edit: but thanks for the info anyway!
OpenOffice3.3 on CentOS-32bit
clueless_
 
Posts: 7
Joined: Mon May 14, 2012 3:50 pm

Re: How to install OOo for headless use?

Postby bmullan » Mon May 21, 2012 7:56 pm

I tried to download the OpenOffice 3.4 .DEB
dpkg -i <that file> creates a subdirectory en-US
which in turn contains a lot of the real .DEBs that install OpenOffice 3.4

however, when I tried to install those using:

dpkg -i <list of the .debs)

I got errors relating the gui/desktop.

So if you truly can successfully download & install to a headless server I'd like to know what the process is.

I know you can run OOO headless once it is installed.... but how do you get it installed onto a headless server in the first place?

I spent a 1/2 day on this and still don't see how to do it?

Thanks
Brian
OpenOffice 3.4 on Ubuntu 12.04
bmullan
 
Posts: 1
Joined: Mon May 21, 2012 1:33 pm

Re: How to install OOo for headless use?

Postby Robert Tucker » Mon May 21, 2012 10:46 pm

Maybe if you install the headless package at the same time?

I think you can use apt-get with debs, see:

http://www.linuxquestions.org/questions ... ry-752706/

but you may need to look into it further yourself.

Then maybe:

sudo apt-get install openoffice.org-headless openoffice.org-writer openoffice.org-draw

http://www.openvpms.org/documentation/i ... ice-ubuntu

[I've never installed OpenOffice (or LibreOffice) like this; these are just (hopefully intuitive) suggestions.]
LibreOffice 6.x.x on Fedora 31 and Ubuntu 19.10 (Dual Boot)
User avatar
Robert Tucker
Volunteer
 
Posts: 1247
Joined: Mon Oct 08, 2007 1:34 am
Location: Manchester UK

Re: How to install OOo for headless use?

Postby clueless_ » Mon May 21, 2012 10:57 pm

I've already tried that. the openoffice.org-headless package depends on alsa.lib
Yes, I know, it is a joke.
OpenOffice3.3 on CentOS-32bit
clueless_
 
Posts: 7
Joined: Mon May 14, 2012 3:50 pm

Re: How to install OOo for headless use?

Postby clueless_ » Tue May 22, 2012 2:06 pm

Robert Tucker wrote:You need full a install of OpenOffice for OpenOffice Headless. OpenOffice has gstreamer as a dependency and gstreamer has alsa sound as a dependency (or at least parts of it).


Robert,

just out of curiosity, what is the nature of the integration of ooo with gstreamer? You can work on a spreadshhet and watch pr0n in the same window? Honestly,from what I have read about gstreamer I just can't see how that is related to office.
OpenOffice3.3 on CentOS-32bit
clueless_
 
Posts: 7
Joined: Mon May 14, 2012 3:50 pm

Re: How to install OOo for headless use?

Postby RoryOF » Tue May 22, 2012 2:10 pm

The gstreamer package may be integrated to provide audio/video links for Impress, but also for databases, text documents and even spreadsheets. OpenOffice is so integrated it is difficult to isolate the functionality of the different components.
Apache OpenOffice 4.1.7 on Xubuntu 18.04.3 (mostly 64 bit version) and very infrequently on Win2K/XP
User avatar
RoryOF
Moderator
 
Posts: 29789
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: How to install OOo for headless use?

Postby clueless_ » Mon May 28, 2012 7:12 pm

...The gstreamer package may be integrated ...
You mean it shall be integrated :) This is exactly my main complaint, there is no simple way to install ooo without gstreamer anymore.
OpenOffice3.3 on CentOS-32bit
clueless_
 
Posts: 7
Joined: Mon May 14, 2012 3:50 pm

Re: How to install OOo for headless use?

Postby RoryOF » Mon May 28, 2012 7:19 pm

Why don't you just install the whole thing and ignore the bits you don't want?

I said may as I have no certain knowledge of whether it is or is not integrated. To be honest, I'm more concerned with doing my own work, and helping others to get their work done, than tweaking OpenOffice towards ideal programming practices. If you want it clean and ideal, download the source and adjust it as suits your needs before compiling your modified version.
Apache OpenOffice 4.1.7 on Xubuntu 18.04.3 (mostly 64 bit version) and very infrequently on Win2K/XP
User avatar
RoryOF
Moderator
 
Posts: 29789
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland


Return to Linux

Who is online

Users browsing this forum: No registered users and 2 guests